package com.example.leeyuanair.englishhelper.act_allwords;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import com.example.leeyuanair.englishhelper.R;

public class ActAddingGroup extends AppCompatActivity {
    //EditText
    EditText txtNewGroupName;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_act_adding_group);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        setTitle("建立新的群組");
        //鏈結文字輸入方塊物件
        txtNewGroupName = (EditText) findViewById(R.id.txtNewGroupName);
    }

    public void btnCancelNewGroup_Click(View view) {
        Intent resent = new Intent();
        resent.putExtra("NewGroupName", "$NONE");
        setResult(0, resent);
        finish();
    }

    public void btnAddNewGroupName_Click(View view) {
        String groupName = txtNewGroupName.getText().toString();
        if(groupName.length()==0 || groupName.equals("$NONE")){
            AlertDialog.Builder ad = new AlertDialog.Builder(this);
            ad.setTitle("無效的群組名稱");
            ad.setMessage("群組名稱不可為空白或\"$NONE\"\n請重新輸入");
            ad.setPositiveButton("OK", new DialogInterface.OnClickListener() {@Override public void onClick(DialogInterface dialog, int which) {}});
            ad.show();
        }else{
            Intent resent = new Intent();
            resent.putExtra("NewGroupName", txtNewGroupName.getText().toString());
            setResult(0, resent);
            finish();
        }
    }
}
