package com.example.leeyuanair.englishhelper.act_allwords;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

import com.example.leeyuanair.englishhelper.ActSearchWord;
import com.example.leeyuanair.englishhelper.R;

public class ActAllVoca extends AppCompatActivity implements AdapterView.OnItemClickListener {
    //Buttons
    Button btnBackUp;
    //ListView
    ListView lstWords;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_act_all_voca);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        setTitle("單字列表");
        //從Intent中解析Bundle
        Bundle msg = getIntent().getExtras();
        //連結按鈕物件
        btnBackUp = (Button) findViewById(R.id.btnBackUp);
        //鏈結清單物件
        lstWords = (ListView) findViewById(R.id.lstWords);
        lstWords.setOnItemClickListener(this);
    }
    //返回上一層
    public void btnBackUp_Click(View view) {finish();}

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Object SelItem = parent.getItemAtPosition(position);
        Intent theIntent = new Intent(this,ActPieceVoca.class);
        theIntent.putExtra("SelectedItem",SelItem.toString());
        startActivity(theIntent);
    }

    public void btnFinder_Click(View view) {
        Intent theIntent = new Intent(this, ActSearchWord.class);
        theIntent.putExtra("isAddingMode", false);
        startActivity(theIntent);
    }

    public void btnGrouping_Click(View view) {
        Intent theIntent = new Intent(this,ActGrouping.class);
        startActivity(theIntent);
    }
}
