package com.example.leeyuanair.englishhelper;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.Arrays;
import java.util.List;

public class ActWordPackages extends AppCompatActivity implements ListView.OnItemClickListener {

    //ListView清單元件
    ListView lstAllWordPackages;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_act_word_packages);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        setTitle("單字包裹");
        //連結清單元件
        lstAllWordPackages = (ListView) findViewById(R.id.lstAllWordPackages);
        lstAllWordPackages.setOnItemClickListener(this);
        ArrayAdapter<String> wordPackageAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, MainActivity.WORD_PACKAGES_NAMES);
        lstAllWordPackages.setAdapter(wordPackageAdapter);
    }

    //當清單元件裡的某項被按下時
    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Intent it = new Intent(this, ActListOfWordPackage.class);
        it.putExtra("Index", position);
        startActivity(it);
    }

    //當【返回】按鈕按下時
    public void btnBack10_Click(View view) {
        finish();
    }
}
